Package com.salesforce.datacloud.jdbc

# Class DataCloudDatasource.DataCloudDatasourceBuilder

java.lang.Object
com.salesforce.datacloud.jdbc.DataCloudDatasource.DataCloudDatasourceBuilder

Enclosing class:
  DataCloudDatasource

public static class DataCloudDatasource.DataCloudDatasourceBuilder extends Object

## Method Summary

Modifier and Type
Method
Description
`DataCloudDatasource.DataCloudDatasourceBuilder`
`authProperties(com.salesforce.datacloud.jdbc.auth.SalesforceAuthProperties authProperties)`
`DataCloudDatasource`
`build()`
`DataCloudDatasource.DataCloudDatasourceBuilder`
`connectionProperties(com.salesforce.datacloud.jdbc.core.ConnectionProperties connectionProperties)`
`DataCloudDatasource.DataCloudDatasourceBuilder`
`grpcChannelProperties(com.salesforce.datacloud.jdbc.core.GrpcChannelProperties grpcChannelProperties)`
`DataCloudDatasource.DataCloudDatasourceBuilder`
`httpClientProperties(com.salesforce.datacloud.jdbc.http.HttpClientProperties httpClientProperties)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### connectionProperties

public DataCloudDatasource.DataCloudDatasourceBuilder connectionProperties(com.salesforce.datacloud.jdbc.core.ConnectionProperties connectionProperties)

Returns:
  `this`.

### grpcChannelProperties

public DataCloudDatasource.DataCloudDatasourceBuilder grpcChannelProperties(com.salesforce.datacloud.jdbc.core.GrpcChannelProperties grpcChannelProperties)

Returns:
  `this`.

### httpClientProperties

public DataCloudDatasource.DataCloudDatasourceBuilder httpClientProperties(com.salesforce.datacloud.jdbc.http.HttpClientProperties httpClientProperties)

Returns:
  `this`.

### authProperties

public DataCloudDatasource.DataCloudDatasourceBuilder authProperties(com.salesforce.datacloud.jdbc.auth.SalesforceAuthProperties authProperties)

Returns:
  `this`.

### build

public DataCloudDatasource build()

### toString

public String toString()

Overrides:
  `toString` in class `Object`